%define _lto_cflags %{nil}

Name: immer
Version: 0.7.0
Release: 2%{?dist}.1
Summary: Postmodern immutable and persistent data structures for C++
License: Boost
URL: https://github.com/arximboldi/immer
Source0: https://github.com/arximboldi/immer/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0: immer-sigstksz.patch
Patch1: immer-array-include.patch
Patch2: immer-fmt-print.patch
BuildRequires: cmake >= 3.5.1
BuildRequires: gcc-c++
BuildRequires: gc-devel
BuildRequires: fmt-devel
BuildRequires: boost-devel

%description
immer is a library of persistent and immutable data structures written in C++.
These enable whole new kinds of architectures for interactive and concurrent
programs of striking simplicity, correctness, and performance.

%package devel
Summary: Postmodern immutable and persistent data structures for C++

%description devel
immer is a library of persistent and immutable data structures written in C++.
These enable whole new kinds of architectures for interactive and concurrent
programs of striking simplicity, correctness, and performance.

%prep
%autosetup -p1

%build
%cmake -DDISABLE_WERROR:BOOL=ON
%cmake_build

%install
%cmake_install

%check
%cmake_build -- check

%files devel
%{_includedir}/immer
%{_libdir}/cmake/Immer
%changelog
* Tue Jan 10 2023 Oleg Girko <ol@infoserver.lv> - 0.7.0-2
- Don't use LTO (breaks build on non-x86 arches)
* Wed Aug 24 2022 Oleg Girko <ol@infoserver.lv> - 0.7.0-1
- Initial package
